org.licas.service.sci

## Class SolverMetrics

- java.lang.Object
- - org.licas.service.sci.SolverMetrics

-     public class SolverMetrics
      extends java.lang.Object

  This class is able to return a metric or function for a particular description. It does this locally onl and is not extended by other solver packages. The `DefaultSolverMetrics` class of the problem solver is extendable with external packages.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolverMetrics()` Create a new instance of SolverMetrics.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.ai_heuristic.functs.Function` | `getEvaluationFunction(java.lang.String valueType, java.lang.String functionType)` Create and return the correct function/metric for the input parameters.
    `org.ai_heuristic.functs.Function` | `getEvaluationFunction(java.lang.String valueType, java.lang.String functionType, EvaluateData evaluator, java.util.HashMap<java.lang.String,?> configParams)` Create and return the correct function/metric for the input parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolverMetrics

          public SolverMetrics()

      Create a new instance of SolverMetrics.

  - ### Method Detail

    - #### getEvaluationFunction

          public org.ai_heuristic.functs.Function getEvaluationFunction(java.lang.String valueType,
                                                                        java.lang.String functionType)
                                                                 throws java.lang.Exception

      Create and return the correct function/metric for the input parameters.
      Parameters:
        `valueType` - the type of object being evaluated.
        `functionType` - the type of function to create.
      Returns:
        the created evaluation function.
      Throws:
        `java.lang.Exception` - any error.

    - #### getEvaluationFunction

          public org.ai_heuristic.functs.Function getEvaluationFunction(java.lang.String valueType,
                                                                        java.lang.String functionType,
                                                                        EvaluateData evaluator,
                                                                        java.util.HashMap<java.lang.String,?> configParams)
                                                                 throws java.lang.Exception

      Create and return the correct function/metric for the input parameters. This calls `Function`.`createFunction` in the first instance and tries to configure it.
      Parameters:
        `valueType` - the type of object being evaluated.
        `functionType` - the type of function to create.
        `evaluator` - the evaluator. Can be null for a default evaluator.
        `configParams` - a list of any input configuration parameters. Can be null for no parameters.
      Returns:
        the created evaluation function.
      Throws:
        `java.lang.Exception` - any error.